# PSF-LoginServer - master - net.psforever.services.hart.HartTimer
PSF - LoginServer - master - net.psforever.services.hart.HartTimer
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
- HartEvent
- HartEventStateFields
- HartEventTimeFields
- HartService
- HartTimer
- HartTimerActions
- ShuttleState

c

net.psforever.services.hart

# HartTimer 

###
Companion object HartTimer

#### class HartTimer extends Actor

Within each zone, all high-altitude rapid transport (HART) systems are controlled in unison. A HART system is composed of a facility (amenity) that embodies passenger onboarding services and a semi-interactive shuttle that gateways to the orbital droppod system. Provide supervision to these components by managing the over-all HART sequence.

Source
  HartTimer.scala

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartTimer
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new HartTimer(zone: Zone)

   zone

     the zone being represented by this particular HART service

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  val commonBehavior: Receive

    the behaviors common to both the inert and active operations of the hart

12.  implicit val context: ActorContext
    Definition Classes
      Actor
13.  var delayedScheduleChange: Option[Seq[HartEvent]]

    when the timing of the events in the system changes, do not push the changes until completion of the current routine

14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def flightsScheduled: Receive

    behaviors that are valid after a sequence of events is defined; the hart is active

18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def grounded: Receive

    behaviors that are valid while no sequence of events is defined; the hart is inert

20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  var lastStartTime: Long

    the time at the start of the previous event

23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def nextEvent(next: Int): Unit
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  var padAndShuttlePairs: List[(PlanetSideGUID, PlanetSideGUID)]

    all of the paired HART facility amenities and the shuttle housed in that facility (in that order)

28.  val padEvents: GenericEventBus[Command]

    a message bus to which all associated orbital shuttle pads are subscribed

29.  def pairWith(pad: PlanetSideGUID, shuttle: PlanetSideGUID, from: ActorRef): Unit
30.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
31.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
32.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
33.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
34.  def receive: Receive
    Definition Classes
      HartTimer → Actor
35.  implicit final val self: ActorRef
    Definition Classes
      Actor
36.  final def sender(): ActorRef
    Definition Classes
      Actor
37.  var sequence: Seq[HartEvent]
38.  var sequenceIndex: Int

    index keeping track of the current event in the sequence

39.  var sequenceLength: Int

    how many events are a part of this sequence

40.  val shuttleDockedInThisZone: ShuttleDocked

    cache common messages

41.  val shuttleFreeFromDockInThisZone: ShuttleFreeFromDock
42.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  var timer: Cancellable

    scheduler for each event in the sequence

45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
50.  val zoneId: String

    since the system is zone-locked, caching this value is fine

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped